<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<TargetFramework>net6.0-windows10.0.22000.0</TargetFramework>
		<RuntimeIdentifiers>win-x64</RuntimeIdentifiers>
		<UseWPF>true</UseWPF>
		<UseWindowsForms>true</UseWindowsForms>
		<Platform Condition=" '$(Platform)' == '' ">x64</Platform>
		<OutputType>WinExe</OutputType>
		<GenerateAssemblyInfo>false</GenerateAssemblyInfo>
		<Platforms>x64;x86;AnyCPU</Platforms>
		<Configurations>Debug;Release;ReleasePackage</Configurations>
	</PropertyGroup>
	<PropertyGroup>
		<ApplicationIcon>Global\Icons\FondiumU.ico</ApplicationIcon>
	</PropertyGroup>
	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
		<Optimize>True</Optimize>
	</PropertyGroup>
	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x86'">
		<Optimize>True</Optimize>
	</PropertyGroup>
	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
		<Optimize>True</Optimize>
	</PropertyGroup>
	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
		<Optimize>False</Optimize>
	</PropertyGroup>
	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x86'">
		<Optimize>False</Optimize>
	</PropertyGroup>
	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
		<Optimize>False</Optimize>
	</PropertyGroup>
	<PropertyGroup>
		<StartupObject>FSI.BT.Tools.Program</StartupObject>
		<DebugType>full</DebugType>
		<SupportedOSPlatformVersion>10.0.17763.0</SupportedOSPlatformVersion>
		<NoWin32Manifest>true</NoWin32Manifest>
	</PropertyGroup>
	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='ReleasePackage|x64'">
	  <Optimize>True</Optimize>
	</PropertyGroup>
	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='ReleasePackage|x86'">
	  <Optimize>True</Optimize>
	</PropertyGroup>
	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='ReleasePackage|AnyCPU'">
	  <Optimize>True</Optimize>
	</PropertyGroup>
	<ItemGroup>
	  <None Remove="Global.json" />
	  <None Remove="RadialMenu.json" />
	  <None Remove="SystemTrayMenu.json" />
	  <None Remove="TimeStamp.json" />
	</ItemGroup>
	
	<ItemGroup>
		<COMReference Include="IWshRuntimeLibrary">
			<Guid>{F935DC20-1CF0-11D0-ADB9-00C04FD58A0B}</Guid>
			<VersionMajor>1</VersionMajor>
			<VersionMinor>0</VersionMinor>
			<Lcid>0</Lcid>
			<WrapperTool>tlbimp</WrapperTool>
			<Isolated>False</Isolated>
			<EmbedInteropTypes>True</EmbedInteropTypes>
		</COMReference>
		<COMReference Include="Shell32">
			<Guid>{50A7E9B0-70EF-11D1-B75A-00A0C90564FE}</Guid>
			<VersionMajor>1</VersionMajor>
			<VersionMinor>0</VersionMinor>
			<Lcid>0</Lcid>
			<WrapperTool>tlbimp</WrapperTool>
			<Isolated>False</Isolated>
			<EmbedInteropTypes>True</EmbedInteropTypes>
		</COMReference>
	</ItemGroup>
	
	<ItemGroup>
	  <EmbeddedResource Include="ExtTools\AudioSwitch.zip" />
	  <EmbeddedResource Include="ExtTools\kalk.zip" />
	  <EmbeddedResource Include="ExtTools\SmartSystemMenu_v2.21.2.zip" />
	  <EmbeddedResource Include="Global.json" />
	  <EmbeddedResource Include="RadialMenu.json" />
	  <EmbeddedResource Include="SystemTrayMenu.json" />
	  <EmbeddedResource Include="TimeStamp.json" />
	  
	</ItemGroup>

	<ItemGroup>
		<PackageReference Include="H.InputSimulator" Version="1.3.0" />
		<PackageReference Include="Microsoft.CodeAnalysis.NetAnalyzers" Version="6.0.0">
			<PrivateAssets>all</PrivateAssets>
			<IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
		</PackageReference>
		<PackageReference Include="NLog.Extensions.Logging" Version="5.2.1" />
		<PackageReference Include="SharpDX.DirectInput" Version="4.2.0" />
		<PackageReference Include="StyleCop.Analyzers" Version="1.1.118">
			<PrivateAssets>all</PrivateAssets>
			<IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
		</PackageReference>
		<PackageReference Include="Svg" Version="3.4.3" />
	</ItemGroup>

	<ItemGroup>
		<Reference Include="Clearcove.Logging, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
			<SpecificVersion>False</SpecificVersion>
			<HintPath>FSI.BT.Tools.Global\ThirdParty\Clearcove.Logging.dll</HintPath>
		</Reference>
	</ItemGroup>

	
	<ItemGroup>
	  <ProjectReference Include="..\AutoCompleteTextBox\AutoCompleteTextBox.csproj" />
	  <ProjectReference Include="..\Config.Net\Config.Net.csproj" />
	  <ProjectReference Include="..\FSI.Lib\FSI.Lib\FSI.Lib.csproj" />
	  <ProjectReference Include="..\Notification-Popup-Window\Tulpep.NotificationWindow\Tulpep.NotificationWindow.csproj" />
	  <ProjectReference Include="..\RadialMenu\RadialMenu.csproj" />
	  <ProjectReference Include="..\RoboSharp\RoboSharp.csproj" />
	  <ProjectReference Include="..\SharpClipboard\SharpClipboard\SharpClipboard.csproj" />
	</ItemGroup>

	<ItemGroup>
	  <Resource Include="Global\Icons\1087815.png" />
	  <Resource Include="Global\Icons\Admin.jpg" />
	  <Resource Include="Global\Icons\Apps.png" />
	  <Resource Include="Global\Icons\Circuit.png" />
	  <Resource Include="Global\Icons\Close.png" />
	  <Resource Include="Global\Icons\Crypt.jpg" />
	  <Resource Include="Global\Icons\EplP8.png" />
	  <Resource Include="Global\Icons\Erp.png" />
	  <Resource Include="Global\Icons\Excel.png" />
	  <Resource Include="Global\Icons\Folders.png" />
	  <Resource Include="Global\Icons\FondiumU.ico" />
	  <Resource Include="Global\Icons\FU.png" />
	  <Resource Include="Global\Icons\Gimp.png" />
	  <Resource Include="Global\Icons\Gitea.png" />
	  <Resource Include="Global\Icons\Iba.jpg" />
	  <Resource Include="Global\Icons\Info.png" />
	  <Resource Include="Global\Icons\Links.png" />
	  <Resource Include="Global\Icons\NPP.png" />
	  <Resource Include="Global\Icons\Outlook.png" />
	  <Resource Include="Global\Icons\Paint.png" />
	  <Resource Include="Global\Icons\Pdf.png" />
	  <Resource Include="Global\Icons\Plc.jpg" />
	  <Resource Include="Global\Icons\Rdp.png" />
	  <Resource Include="Global\Icons\SIE.png" />
	  <Resource Include="Global\Icons\STEP7.png" />
	  <Resource Include="Global\Icons\Teams.png" />
	  <Resource Include="Global\Icons\TeXstudio.png" />
	  <Resource Include="Global\Icons\TIAv13.jpg" />
	  <Resource Include="Global\Icons\TIAv14.jpg" />
	  <Resource Include="Global\Icons\TIAv15.jpg" />
	  <Resource Include="Global\Icons\TIAv16.jpg" />
	  <Resource Include="Global\Icons\TIAv17.jpg" />
	  <Resource Include="Global\Icons\Tools.png" />
	  <Resource Include="Global\Icons\TotalCmd.jfif" />
	  <Resource Include="Global\Icons\txt.png" />
	  <Resource Include="Global\Icons\Vnc.png" />
	  <Resource Include="Global\Icons\VncAdrBook.png" />
	  <Resource Include="Global\Icons\VolDown.png" />
	  <Resource Include="Global\Icons\VolOff.png" />
	  <Resource Include="Global\Icons\VolOn.png" />
	  <Resource Include="Global\Icons\VolUp.png" />
	  <Resource Include="Global\Icons\Vs.png" />
	  <Resource Include="Global\Icons\VsCode.png" />
	  <Resource Include="Global\Icons\Word.png" />
	</ItemGroup>

	<ItemGroup>
	  <EmbeddedResource Update="SystemTrayMenu\UserInterface\Menu.resx">
	    <Generator></Generator>
	  </EmbeddedResource>
	</ItemGroup>

	<ItemGroup>
	  <None Update="nlog.config">
	    <CopyToOutputDirectory>Always</CopyToOutputDirectory>
	  </None>
	</ItemGroup>
	
</Project>
